Get
curl --request GET \
--url https://api.sortx.co.uk/tasks/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/tasks/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"assigneeContactId": "<string>",
"assigneeUserId": "<string>",
"assigneeStaffId": "<string>",
"teamId": "<string>",
"taskTypeId": "<string>",
"branchId": "<string>",
"priority": "urgent",
"dueOn": "<string>",
"status": "<string>",
"createdByUserId": "<string>",
"dedupeKey": "<string>",
"requestId": "<string>",
"revision": 123,
"createdAt": "<string>",
"doneAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}tasks
Get
Get a task
GET
/
tasks
/
{id}
Get
curl --request GET \
--url https://api.sortx.co.uk/tasks/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/tasks/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"assigneeContactId": "<string>",
"assigneeUserId": "<string>",
"assigneeStaffId": "<string>",
"teamId": "<string>",
"taskTypeId": "<string>",
"branchId": "<string>",
"priority": "urgent",
"dueOn": "<string>",
"status": "<string>",
"createdByUserId": "<string>",
"dedupeKey": "<string>",
"requestId": "<string>",
"revision": 123,
"createdAt": "<string>",
"doneAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Available options:
urgent, high, normal, low